Name:           VulkanSceneGraph

Version:        1.0.0
Release:        1%{?dist}
Summary:        Vulkan Scene Graph

# Apache-2.0:
# include/vsg/vk/vulkan.h
License:        MIT AND Apache-2.0
URL:            http://vulkanscenegraph.org/
Source0:        https://github.com/vsg-dev/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  glslang-devel
BuildRequires:  make
BuildRequires:  vulkan-headers
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(xcb)

#Requires:       

%description
VulkanSceneGraph (VSG), is a modern, cross platform, high performance scene
graph library built upon Vulkan graphics/compute API. The software is written
in C++17, and follows the CppCoreGuidelines and FOSS Best Practices. 
The source code is published under the MIT License.


%package devel
Summary:        Development files for VulkanSceneGraph
Requires:       VulkanSceneGraph%{?_isa} = %{version}-%{release}

%description devel
Development files for VulkanSceneGraph.


%package doc
Summary:        Documentation files for VulkanSceneGraph
Requires:       VulkanSceneGraph-devel%{?_isa} = %{version}-%{release}

%description doc
Documentation files for developing VulkanSceneGraph applications.


%prep
%autosetup -n %{name}-%{name}-%{version}


%build
%cmake 
%cmake_build
pushd redhat-linux-build
make docs
popd

%install
%cmake_install


%files
%license LICENSE.md
%doc README.md
%{_libdir}/libvsg.so.*


%files devel
%{_includedir}/vsg
%{_libdir}/cmake/vsg/*.cmake
%{_libdir}/libvsg.so


%files doc
%doc INSTALL.md
%doc ROADMAP.md
%doc redhat-linux-build/html


%changelog
* Fri Nov 11 2022 François Cami <fcami@fedoraproject.org> - 1.0.0-1
- Initial package
